API Reference

Cancel a payment plan

DELETE/payment_plans/{id_or_reference}

Query Parameters

id_or_referencestring

ID or reference of the payment plan to cancel.

Request

curl
curl https://gateway.pmnts-sandbox.io/v1.0/payment_plans/071-PP-8389G3DA -u TEST:TEST -X DELETE

Response

200Result
json
{
  "successful":true,
  "response":{
  "id":"071-PP-8389G3DA",
  "customer":"071-C-JE34F66V",
  "amount":100,
  "currency":null,
  "setup_fee":0,
  "frequency":"Weekly",
  "anniversary":5,
  "start_date":"2025-07-16",
  "end_date":null,
  "total_count":2,
  "total_amount":null,
  "payment_method":"Credit Card",
  "reference":"071-PP-8389G3DA",
  "description":null,
  "status":"Cancelled",
  "status_reason":"Other",
  "created_at":"2018-07-11T16:23:39+10:00",
  "failed_payment_fee":0,
  "retry_interval":3,
  "status_change_date":null,
  "payments":[]
  },
  "errors":[],
  "test":true
}
404Result
json
{
  "successful":false,
  "response":{},
  "errors":["Could not find Payment Plan"],
  "test":true
}